Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoMFBool Class Reference
[Field classes]

`#include <Inventor/fields/SoMFBool.h>`

Inheritance diagram for SoMFBool:

List of all members.

## Detailed Description

The SoMFBool class is a container for SbBool values.

This field is used where nodes, engines or other field containers needs to store multiple boolean on/off or TRUE/FALSE values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFBool

## Static Public Member Functions
void | initClass (void)

## Member Function Documentation

void SoMFBool::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

The documentation for this class was generated from the following files:

- SoMFBool.h
- SoMFBool.cpp